// ----------------------------------------------------------------------------
/* [z-11 project]
 * (c) 1999 Copyright Malekith
 * <malekith@topnet.pl> <http://malekith.topnet.pl>
 * For info about copying see file copying.z11.
 *
 * file "Term.h", created on 06/07/99.
 * descr : terminal base class. there's only one terminal class, but it changes very
 * quickly. so having this i don't have to compile everything
 */
// ----------------------------------------------------------------------------

#ifndef TermH
#define TermH

#ifndef EventsH
#include "Events.h"
#endif

// ----------------------------------------------------------------------------
class Term : public Object {
  public:
    virtual XStr className() { return "Term"; }
    virtual void init() = 0;
    virtual void login() = 0;
    virtual void execute(XStr what) = 0;
    virtual void executeFile(XStr name) = 0;
    virtual ~Term() { }
};
extern Term * term;
// ----------------------------------------------------------------------------

#endif // TermH



